Path parameters

  • uuid string Required
application/json

Body

  • first_name string

    The first name of the user.

    Maximum length is 255.

  • last_name string

    The last name of the user.

    Maximum length is 255.

  • email string(email)

    The email address of the user.

    Maximum length is 255.

  • password string

    The new password for the user.

    Minimum length is 8, maximum length is 255.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • first_name string

      First name of the user

    • last_name string

      Last name of the user

    • email string

      Email address of the user

PUT /api/v1/enterprise/users/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/enterprise/users/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"first_name":"John","last_name":"Doe","email":"john@example.com","password":"secret123"}'
Request examples
{
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "password": "secret123"
}
Response examples (200)
{
  "uuid": "7e606989-9f69-4c20-b6f5-8e05c910ad90",
  "email": "john@example.com",
  "last_name": "Doe",
  "created_at": "2026-03-16T13:04:47+00:00",
  "first_name": "John",
  "updated_at": "2026-03-16T13:04:47+00:00"
}